"{ Package: 'stx:libjava/experiments' }"

TestCase subclass:#HashSetInJavaTests
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Languages-Java-Experiments'
!


!HashSetInJavaTests class methodsFor:'accessing'!

resources
    ^ Array with: HashSetInJavaResource.

    "Created: / 24-01-2011 / 17:19:06 / kursjan <kursjan@fit.cvut.cz>"
! !

!HashSetInJavaTests methodsFor:'testing'!

testIsKindOf
    self assertTrue: (StHashSet new isKindOf: (Java classForName: 'java.util.HashSet')).
    self assertTrue: (StHashSet new isKindOf: (Java classForName: 'java.lang.Object')).

    "Created: / 24-01-2011 / 17:20:49 / kursjan <kursjan@fit.cvut.cz>"
!

testIsKindOf2
    "does it work for interfaces?"
    self assertTrue: (StHashSet new isKindOf: (Java classForName: 'java.util.Set')).

    "Created: / 24-01-2011 / 17:45:29 / kursjan <kursjan@fit.cvut.cz>"
!

testStHashSet
    | map res |
    map := StHashSet new.
    res := (Java classForName:'SetManipulator') new repeatIt: map.
    self assert: res == map.

    "Modified: / 09-01-2011 / 21:58:53 / Jan Kurs <kurs.jan@post.cz>"
    "Created: / 24-01-2011 / 16:24:02 / kursjan <kursjan@fit.cvut.cz>"
    "Modified: / 24-01-2011 / 17:38:04 / kursjan <kursjan@fit.cvut.cz>"
!

testStHashSet2
    | map res |
    map := StHashSet new.
    res := (Java classForName:'SetManipulator') new getSetClass: map.
    self assert: res = 'java.util.HashSet'.

    "Modified: / 09-01-2011 / 21:58:53 / Jan Kurs <kurs.jan@post.cz>"
    "Created: / 24-01-2011 / 17:37:51 / kursjan <kursjan@fit.cvut.cz>"
!

testStHashSet3
    | map res |
    map := StHashSet new.
    res := (Java classForName:'SetManipulator') new getHashSetClass: map.
    self assert: res = 'java.util.HashSet'.

    "Modified: / 09-01-2011 / 21:58:53 / Jan Kurs <kurs.jan@post.cz>"
    "Created: / 24-01-2011 / 17:38:56 / kursjan <kursjan@fit.cvut.cz>"
! !

!HashSetInJavaTests class methodsFor:'documentation'!

version_SVN
    ^ '$Id: HashSetInJavaTests.st,v 1.1 2011-08-18 19:06:54 vrany Exp $'
! !
